Last Comment Bug 526277 - Leak on 1.9.1 unit tests
: Leak on 1.9.1 unit tests
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 1.9.1 Branch
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap)
:
Mentors:
Depends on: 521599
Blocks: 500925
  Show dependency treegraph
 
Reported: 2009-11-03 10:53 PST by Blake Kaplan (:mrbkap)
Modified: 2009-11-06 00:34 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.6-fixed


Attachments
fix it [Checkin: Comment 4] (2.13 KB, patch)
2009-11-03 10:56 PST, Blake Kaplan (:mrbkap)
jst: review+
smichaud: review+
samuel.sidler+old: approval1.9.1.6+
Details | Diff | Splinter Review

Description Blake Kaplan (:mrbkap) 2009-11-03 10:53:27 PST
This is exactly the same bug as bug 521599, for almost exactly the same reason. It's a small leak, but the fix is small and I think this is the easiest way to make the OSX tinderboxes on 1.9.1 green again.
Comment 1 Blake Kaplan (:mrbkap) 2009-11-03 10:56:51 PST
Created attachment 409977 [details] [diff] [review]
fix it
[Checkin: Comment 4]

I had to apply this by hand instead of importing the 1.9.2 patch because there were some #ifdefs added on 1.9.2 that weren't on 1.9.1.
Comment 2 Johnny Stenback (:jst, jst@mozilla.com) 2009-11-04 09:31:59 PST
Comment on attachment 409977 [details] [diff] [review]
fix it
[Checkin: Comment 4]

Yup, this should plug the hole! r=jst
Comment 3 Samuel Sidler (old account; do not CC) 2009-11-04 10:07:50 PST
Comment on attachment 409977 [details] [diff] [review]
fix it
[Checkin: Comment 4]

Approved for 1.9.1.6. a=ss
Comment 4 Serge Gautherie (:sgautherie) 2009-11-05 21:44:40 PST
Comment on attachment 409977 [details] [diff] [review]
fix it
[Checkin: Comment 4]


http://hg.mozilla.org/releases/mozilla-1.9.1/rev/1f087bddafcf
Comment 5 Serge Gautherie (:sgautherie) 2009-11-06 00:34:48 PST
V.Fixed, per tinderboxes.

Note You need to log in before you can comment on or make changes to this bug.